;; miscbits-byte-compile.el -- setups for byte compiling

;; Author: Kevin Ryde <user42_kevin@yahoo.com.au>
;; Keywords: maint
;; URL: http://user42.tuxfamily.org/miscbits-el/index.html

;; Copyright 2009, 2015 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


;;; Commentary:

;; In the .deb package this is under "/usr/share/miscbits-el" and is used by
;; the install "/usr/lib/emacsen-common/packages/install/miscbits-el".  It's
;; not used at run-time at all.

;;; Code:

(add-to-list 'load-path ".")

;; Fake bindat so as to byte compile imagetext.el on emacs21 or xemacs21.
;; For the .deb might prefer to depend on a compatibility package, but for
;; plain install just make the byte compile work and let the user worry
;; about getting a copy of bindat.el.
;;
(or (locate-library "bindat")
    (provide 'bindat))

(provide 'miscbits-byte-compile)

;;; miscbits-byte-compile.el ends here
